package de.accso.flexinale.common.api.event;

import de.accso.flexinale.common.shared_kernel.Identifiable;
import de.accso.flexinale.common.shared_kernel.Versionable;

import java.io.Serializable;
import java.time.LocalDateTime;

@SuppressWarnings("unused")
public interface Event extends Identifiable, Versionable, Serializable {
    LocalDateTime timestamp();
    Id correlationId();
    EventContext eventContext();
}